Get a new webhook secret, this rolls the current token

Requires the WEBHOOK.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
activebooleanRequired
The status of the webhook.
include_previous_databooleanRequired
Define whether the webhook payload include the previous status or only the current status
authentication_typeenumRequired
The type of authentication used for the webhook.
Allowed values:
usernamestring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The username used for basic authentication.
passwordstring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The password used for basic authentication.
api_header_fieldstring or nullOptionalformat: "^[a-zA-Z0-9_\-]*"0-256 characters
The name of the header field for authentication with an API key.
api_keystring or nullOptionalformat: "^[a-zA-Z0-9]*"0-256 characters
The value of for authentication with an API key.
urlstring or nullOptional
The url of the webhook where webhooks will be sent.
included_actionslist of strings or nullOptional
The actions of which a webhook will be sent.
excluded_actionslist of strings or nullOptional
The actions of which a webhook will not be sent.
signing_protocolstring or nullOptional
The signing protocol for the webhook.
previous_signing_protocolstring or nullOptional
secret_rolled_atstring or nullOptional
The instant when the secret was rolled.
penalty_box_dataobject or nullOptional
Indicates if this webhook is in the penalty box

Response

OK
activeboolean
The status of the webhook.
include_previous_databoolean
Define whether the webhook payload include the previous status or only the current status
authentication_typeenum
The type of authentication used for the webhook.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
usernamestring or nullformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The username used for basic authentication.
api_header_fieldstring or nullformat: "^[a-zA-Z0-9_\-]*"0-256 characters
The name of the header field for authentication with an API key.
urlstring or null
The url of the webhook where webhooks will be sent.
included_actionslist of strings or null
The actions of which a webhook will be sent.
excluded_actionslist of strings or null
The actions of which a webhook will not be sent.
penalty_boxstring or nullRead-only
secret_keystring or nullRead-only
signing_protocolstring or null
The signing protocol for the webhook.
previous_secret_keystring or nullRead-only
previous_signing_protocolstring or null
secret_rolled_atstring or null
The instant when the secret was rolled.
penalty_box_dataobject or null
Indicates if this webhook is in the penalty box

Errors

401
Unauthorized Error
403
Forbidden Error